Bug 1574658 - [daemon rename] pacemaker-remote package: /usr/sbin/pacemaker_remoted -> /usr/sbin/pacemaker-remoted
Summary: [daemon rename] pacemaker-remote package: /usr/sbin/pacemaker_remoted -> /usr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1575082
TreeView+ depends on / blocked
 
Reported: 2018-05-03 19:03 UTC by Jan Pokorný [poki]
Modified: 2018-09-12 02:58 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.14.2-34.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1575082 (view as bug list)
Environment:
Last Closed: 2018-09-12 02:58:38 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1546593 None CLOSED pacemaker-2.0.0-rc3 is available 2019-04-02 14:24:55 UTC

Internal Links: 1546593

Description Jan Pokorný [poki] 2018-05-03 19:03:04 UTC
As of pacemaker-2.0.0-0.1.rc3.fc29, there is now a daemon binary
renamed and that causes this change in the run-time (process-based)
context:

-system_u:system_r:cluster_t:s0
+system_u:system_r:unconfined_service_t:s0

It is anticipated this may be harmful though no malfunction nor AVC
was observed with a super-shallow test run.


File-based changes:

* before:

  - /usr/sbin/pacemaker_remoted
    . immediate binary executable
    . system_u:object_r:cluster_exec_t:s0

* after:

  - /usr/sbin/pacemaker_remoted
    . compatibility symlink to pacemaker-remoted
    . system_u:object_r:bin_t:s0
      (so it looks like file type regular/symlink
       matters wrt. auto-labelling)

  - /usr/sbin/pacemaker-remoted
    . immediate binary executable
    . system_u:object_r:bin_t:s0


What we expect:

  - if "pacemaker remote service" is launched from either location,
    it should run as system_u:system_r:cluster_t:s0 once again


From Fedora perspective, it's enough to have this addressed
in time for F29.

Please let me know if any further clarification is needed.

Comment 1 Jan Kurik 2018-08-14 11:19:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 2 Fedora Update System 2018-09-11 12:52:17 UTC
selinux-policy-3.14.2-34.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-db240a1726

Comment 3 Fedora Update System 2018-09-12 02:58:38 UTC
selinux-policy-3.14.2-34.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.